Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class ExtendsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException
                      org.eclipse.birt.report.model.api.activity.SemanticException
                          org.eclipse.birt.report.model.api.command.ExtendsException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CircularExtendsException, ExtendsForbiddenException, InvalidParentException, WrongTypeException

    public class ExtendsException

extends SemanticException

Indicates an error while setting the extends property of an element.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_CANT_EXTEND` Deprecated. pushed down to sub class `ExtendsForbiddenException`
`static java.lang.String` | `DESIGN_EXCEPTION_CIRCULAR` Deprecated. pushed down to sub class `CircularExtendsException`
`static java.lang.String` | `DESIGN_EXCEPTION_EXTENDS_FORBIDDEN` Deprecated. pushed down to sub class `ExtendsForbiddenException`
`static java.lang.String` | `DESIGN_EXCEPTION_NO_PARENT` Deprecated. pushed down to sub class `InvalidParentException`
`static java.lang.String` | `DESIGN_EXCEPTION_PARENT_NOT_FOUND` Deprecated. pushed down to sub class `InvalidParentException`
`static java.lang.String` | `DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT` Deprecated. pushed down to sub class `ExtendsForbiddenException`
`static java.lang.String` | `DESIGN_EXCEPTION_PARENT_NOT_INCLUDE` Deprecated. pushed down to sub class `InvalidParentException`
`static java.lang.String` | `DESIGN_EXCEPTION_SELF_EXTEND` Deprecated. pushed down to sub class `CircularExtendsException`
`static java.lang.String` | `DESIGN_EXCEPTION_UNNAMED_PARENT` Deprecated. pushed down to sub class `InvalidParentException`
`static java.lang.String` | `DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE` Deprecated. pushed down to sub class `WrongTypeException`
`static java.lang.String` | `DESIGN_EXCEPTION_WRONG_TYPE` Deprecated. pushed down to sub class `WrongTypeException`
`protected java.lang.String` | `extendsName` The new extends value.
`protected org.eclipse.birt.report.model.core.DesignElement` | `parent` The parent element to set.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`ExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, org.eclipse.birt.report.model.core.DesignElement parent, java.lang.String errCode)` Constructor.
`ExtendsException(org.eclipse.birt.report.model.core.DesignElement obj, java.lang.String name, java.lang.String errCode)` Constructor.

Method Summary
`java.lang.Object` | `getExtends()` Returns the attempted new value for the extends property.
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### extendsName

    protected java.lang.String extendsName

  The new extends value.

### parent

    protected org.eclipse.birt.report.model.core.DesignElement parent

  The parent element to set.

### DESIGN_EXCEPTION_PARENT_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_PARENT_NOT_FOUND

  Deprecated. pushed down to sub class `InvalidParentException`
  No element exists with the parent name.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_WRONG_TYPE

    public static final java.lang.String DESIGN_EXCEPTION_WRONG_TYPE

  Deprecated. pushed down to sub class `WrongTypeException`
  The parent element does not have the same type as the target element.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE

    public static final java.lang.String DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE

  Deprecated. pushed down to sub class `WrongTypeException`
  The parent element does not have the same type of extension as the target element. Both the parent and the target element are ExtendedItem.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_EXTENDS_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_EXTENDS_FORBIDDEN

  Deprecated. pushed down to sub class `ExtendsForbiddenException`
  The element does not allow to set extends explicitly.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CANT_EXTEND

    public static final java.lang.String DESIGN_EXCEPTION_CANT_EXTEND

  Deprecated. pushed down to sub class `ExtendsForbiddenException`
  The element does not allow extensions.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_SELF_EXTEND

    public static final java.lang.String DESIGN_EXCEPTION_SELF_EXTEND

  Deprecated. pushed down to sub class `CircularExtendsException`
  The element cannot extend from itself.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CIRCULAR

    public static final java.lang.String DESIGN_EXCEPTION_CIRCULAR

  Deprecated. pushed down to sub class `CircularExtendsException`
  The extension would create a cycle: a extends b extends a.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_UNNAMED_PARENT

    public static final java.lang.String DESIGN_EXCEPTION_UNNAMED_PARENT

  Deprecated. pushed down to sub class `InvalidParentException`
  The parent element has no name.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT

    public static final java.lang.String DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT

  Deprecated. pushed down to sub class `ExtendsForbiddenException`
  The parent element not in component slot of report design.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_PARENT_NOT_INCLUDE

    public static final java.lang.String DESIGN_EXCEPTION_PARENT_NOT_INCLUDE

  Deprecated. pushed down to sub class `InvalidParentException`
  The library of the parent element is not included.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_NO_PARENT

    public static final java.lang.String DESIGN_EXCEPTION_NO_PARENT

  Deprecated. pushed down to sub class `InvalidParentException`
  The element has no parent, it can not be localized.

  See Also:
    Constant Field Values

Constructor Detail

### ExtendsException

    public ExtendsException(org.eclipse.birt.report.model.core.DesignElement obj,
                            java.lang.String name,
                            java.lang.String errCode)

  Constructor.

  Parameters:
    `obj` - the element being changed.
    `name` - the value being set for the extends property.
    `errCode` - what went wrong.

### ExtendsException

    public ExtendsException(org.eclipse.birt.report.model.core.DesignElement obj,
                            org.eclipse.birt.report.model.core.DesignElement parent,
                            java.lang.String errCode)

  Constructor.

  Parameters:
    `obj` - the element being changed.
    `parent` - the parent element.
    `errCode` - what went wrong.

Method Detail

### getExtends

    public java.lang.Object getExtends()

  Returns the attempted new value for the extends property.

  Returns:
    the parent element name.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.